#version 120

attribute vec4 avlVertexPosition;
attribute vec4 avlVertexColour;

uniform mat4x4 avlProjectionMatrix;
uniform mat4x4 avlModelviewMatrix;

attribute vec2 avlBaseTexCoords;

varying vec2 avlFragBaseTexCoords;
varying vec4 avlFragVertexColour;

void main()
{
	avlFragBaseTexCoords = avlBaseTexCoords;
	avlFragVertexColour = avlVertexColour;
	gl_Position = avlModelviewMatrix * avlVertexPosition * avlProjectionMatrix;
}
